Name:			npad
Version:		1.5.6
Release:		3%{?dist}
Summary:		Network Path and Application Diagnosis
Group:			Applications/Communications
License:		BSDish
URL:			http://www.internet2.edu/performance/ndt/
Vendor:			MCNC - Advanced Services
Source0:		%{name}-%{version}.tar.gz
Source1:		npad-init
Patch0:			rhel_python_fix.patch
Patch1:			rhel_web100_swig_update.patch
Patch2:			html_forms_fix.patch
Patch3:			config_xml.patch
Patch4:			makefile_rpm_fix.patch
Patch5:			makefile_config.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel
BuildRequires:	web100_userland
Requires:		chkconfig
Requires:		gnuplot-py
Requires:		initscripts
Requires:		shadow-utils
Requires:		web100_userland

%description
NPAD/pathdiag diagnostic servers can automatically diagnose most flaws in
end-systems and last-mile networks that affect end-to-end application
performance. See the end-user documentation or more details on the diagnostic
methods and target audience.

%prep
%setup -q

# Fix an issue with NPAD and the CentOS Python version
%patch0 -p1
# Update the swig bindings to avoid problems on CentOS
%patch1 -p1
# Fix broken links and remove NPAD location information
%patch2 -p1
# Add a configuration file used by config.py
%patch3 -p1
# Fix makefile to use CC instead of LD and not create NPAD users and groups
%patch4 -p1
# Run the configuration script
./config.py
# Patch the generated Makefile.config to install in correct locations
%patch5 -p1

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%{__install} -D -m 0755 %SOURCE1 %{buildroot}%{_initrddir}/%{name}

%clean
rm -rf %{buildroot}

%post
/usr/sbin/groupadd npad 2> /dev/null || :
/usr/sbin/useradd -g npad -r -s /sbin/nologin -c "NPAD User" -d /tmp npad 2> /dev/null || :

chown -R npad:npad /var/lib/npad/ /opt/npad || :

if [ $1 -gt 1 ]; then
	/sbin/service npad restart > /dev/null 2>&1 || :
fi
/sbin/chkconfig --add %{name} || :

%preun
if [ $1 = 0 ]; then
	/sbin/service npad stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del %{name} || :
fi

%files
%defattr(-,root,root,-)
/opt/npad/
/var/lib/npad/
%config(noreplace) %{_initrddir}/%{name}

%changelog
* Fri Oct 12 2012 Andrew Sides <asides@es.net> - 1.5.6-3
- Consolidate and clean up NPAD patches
- Fixed permissions issue http://code.google.com/p/perfsonar-ps/issues/detail?id=640
- Fixed broken links issue http://code.google.com/p/perfsonar-ps/issues/detail?id=637

* Thu Jan 06 2011 Aaron Brown <aaron@internet2.edu> - 1.5.6-2
- Fix an issue with stopping the server using the init script

* Tue May 04 2010 Aaron Brown <aaron@internet2.edu> - 1.5.6-1
- Initial package build based on Tom Throckmorton's NDT spec
